## ros-melodic-imu-transformer 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(imu_transformer)

find_package(catkin REQUIRED COMPONENTS
  message_filters
  nodelet
  roscpp
  roslaunch
  sensor_msgs
  geometry_msgs
  tf2
  tf2_ros
  tf2_sensor_msgs
  topic_tools
  )

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES imu_transformer_nodelet
  CATKIN_DEPENDS roscpp message_filters nodelet sensor_msgs tf2 tf2_ros geometry_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(imu_transformer_nodelet src/imu_transformer_nodelet.cpp)
target_link_libraries(imu_transformer_nodelet ${catkin_LIBRARIES})

add_executable(imu_transformer_node src/imu_transformer_node.cpp)
target_link_libraries(imu_transformer_node ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  roslaunch_add_file_check(launch)
endif()

install(TARGETS imu_transformer_node imu_transformer_nodelet
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-imu-transformer (0.2.3-0stretch) stretch; urgency=high

  * update to use non deprecated pluginlib macro
  * Updated maintainers.
  * Contributors: Mikael Arguedas, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 30 Jan 2019 05:00:00 -0000

ros-melodic-imu-transformer (0.2.2-0stretch) stretch; urgency=high

  * imu_transformer: Fix build with CATKIN_ENABLE_TESTIING=OFF
  * Contributors: Alexis Ballier

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 25 Jan 2017 05:00:00 -0000

ros-melodic-imu-transformer (0.2.1-0stretch) stretch; urgency=high

  * Fix nodelet install
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-melodic-imu-transformer (0.2.0-0stretch) stretch; urgency=high

  * Add imu_transformer node/nodelet combination using tf2
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-melodic-imu-transformer (0.1.3-0stretch) stretch; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sun, 30 Mar 2014 04:00:00 -0000

ros-melodic-imu-transformer (0.1.2-0stretch) stretch; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 21 Aug 2013 04:00:00 -0000

ros-melodic-imu-transformer (0.1.1-0stretch) stretch; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 29 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-imu-transformer
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-sensor-msgs, ros-melodic-tf2, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs, ros-melodic-topic-tools
Homepage: http://ros.org/wiki/imu_transformer
Standards-Version: 3.9.2

Package: ros-melodic-imu-transformer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs, ros-melodic-topic-tools
Description: Node/nodelet combination to transform sensor_msgs::Imu data from one frame into another.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-imu-transformer//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-imu-transformer 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
   message_filters
   nodelet
   roscpp
-  roslaunch
   sensor_msgs
   geometry_msgs
   tf2
@@ -17,7 +16,7 @@
 catkin_package(
   INCLUDE_DIRS include
   LIBRARIES imu_transformer_nodelet
-  CATKIN_DEPENDS roscpp message_filters nodelet sensor_msgs tf2 tf2_ros geometry_msgs
+  CATKIN_DEPENDS roscpp message_filters nodelet sensor_msgs tf2 tf2_ros geometry_msgs topic_tools
 )
 
 include_directories(
@@ -32,7 +31,13 @@
 target_link_libraries(imu_transformer_node ${catkin_LIBRARIES})
 
 if(CATKIN_ENABLE_TESTING)
+  find_package(roslaunch REQUIRED)
   roslaunch_add_file_check(launch)
+
+  find_package(tf2_geometry_msgs REQUIRED)
+  include_directories(${tf2_geometry_msgs_INCLUDE_DIRS})
+  catkin_add_gtest(test_imu_transforms test/test_imu_transforms.cpp)
+  target_link_libraries(test_imu_transforms ${catkin_LIBRARIES} ${tf2_geometry_msgs_LIBRARIES})
 endif()
 
 install(TARGETS imu_transformer_node imu_transformer_nodelet

=== debian/changelog ===
ros-melodic-imu-transformer (0.2.4-1bionic) bionic; urgency=high

  * imu_transformer: Fix transformation of the orientation of IMU.
    The previous computation was wrong. According to REP-145, IMU orientation should express attitude of the sensor frame in a world frame. imu_transformer changes the sensor frame, so it should just recompute the new attitude by transforming the old sensor frame into the new one.
  * Updated to package.xml format 2.
  * Contributors: Martin Pecka, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-melodic-imu-transformer (0.2.3-1bionic) bionic; urgency=high

  * update to use non deprecated pluginlib macro
  * Updated maintainers.
  * Contributors: Mikael Arguedas, Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 30 Jan 2019 05:00:00 -0000

ros-melodic-imu-transformer (0.2.2-1bionic) bionic; urgency=high

  * imu_transformer: Fix build with CATKIN_ENABLE_TESTIING=OFF
  * Contributors: Alexis Ballier

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 25 Jan 2017 05:00:00 -0000

ros-melodic-imu-transformer (0.2.1-1bionic) bionic; urgency=high

  * Fix nodelet install
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-melodic-imu-transformer (0.2.0-1bionic) bionic; urgency=high

  * Add imu_transformer node/nodelet combination using tf2
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-melodic-imu-transformer (0.1.3-1bionic) bionic; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sun, 30 Mar 2014 04:00:00 -0000

ros-melodic-imu-transformer (0.1.2-1bionic) bionic; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 21 Aug 2013 04:00:00 -0000

ros-melodic-imu-transformer (0.1.1-1bionic) bionic; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 29 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-imu-transformer
Section: misc
Priority: optional
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-roslaunch <!nocheck>, ros-melodic-sensor-msgs, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs <!nocheck>, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs, ros-melodic-topic-tools
Homepage: http://ros.org/wiki/imu_transformer
Standards-Version: 3.9.2

Package: ros-melodic-imu-transformer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-filters, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf2, ros-melodic-tf2-ros, ros-melodic-tf2-sensor-msgs, ros-melodic-topic-tools
Description: Node/nodelet combination to transform sensor_msgs::Imu data from one frame into another.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
